#include <iostream>
#include <cstring>
#include <cstdio>
#include <algorithm>
#include <vector>
#include <cmath>
#include <unordered_map>

typedef long long LL;

using namespace std;

int n, m;
int T, id;

int main(){
	
	freopen("match.in","r",stdin);
	freopen("match.out","w",stdout);
	
	scanf("%d%d", &T, &id);
	
	printf("8");	
	
	
	return 0;
}